# Document Signature verification Process

UAE PASS document signature verification API offers for the signer’s identity verification through UAE PASS digital signature feature. On integrating the UAE PASS Document signature verification feature SP can validate the document singed time, signer details up to 3 years.

### SOAP Gateway Endpoint

| Staging                                                                                               | Production                                      |
| ----------------------------------------------------------------------------------------------------- | ----------------------------------------------- |
| [https://stg-id.uaepass.ae/trustedx-gw/SoapGateway](https://qa-id.uaepass.ae/trustedx-gw/SoapGateway) | <https://id.uaepass.ae/trustedx-gw/SoapGateway> |

## Transport Headers to invoke SOAP Service

<mark style="color:green;">`POST`</mark> `https://stg-id.uaepass.ae/trusted-gw/SoapGateway`&#x20;

#### Headers

| Name         | Type   | Description                                             |
| ------------ | ------ | ------------------------------------------------------- |
| TwsAuthN     | string | urn:safelayer:tws:policies:authentication:oauth:clients |
| SOAPAction   | string | Verify                                                  |
| Content-Type | string | text/xml                                                |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

### Request

```xml
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
   <soapenv:Header>
      <wsse:Security soapenv:actor="http://schemas.xmlsoap.org/soap/actor/next" soapenv:mustUnderstand="1" xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">
         <wsse:UsernameToken>
            <wsse:Username>{client_id}</wsse:Username>
            <wsse:Password Type="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText">{client_secret}</wsse:Password>
         </wsse:UsernameToken>
      </wsse:Security>
   </soapenv:Header>
   <soapenv:Body>
      <VerifyRequest Profile="urn:safelayer:tws:dss:1.0:profiles:pdf:1.0:verify" RequestID="ba3810598a90af56a7e8" xmlns="http://www.docs.oasis-open.org/dss/2004/06/oasis-dss-1.0-core-schema-wd-27.xsd">
         <OptionalInputs>
            <ns1:AddCertificateValues binary="true" xsi:type="ns1:AddCertificateValuesType" xmlns:ns1="http://www.safelayer.com/TWS"/>
            <ns2:AddSignatureForm/>
            <css:AddRevocationValues binary="true"/>
            <css:AddTimeStampValues binary="true"/>
         </OptionalInputs>
         <InputDocuments>
            <Document>
            <Base64Data MimeType="application/pdf">JVBERi0xLjcKJeLjz9MKMSAwIG9iago8PC9DcmVhdGlvbkRhdGUoRDoyMDIxMDgwNjEwMjcwMSkvQ3JlYXRvcihQREZpdW0pL1Byb2R1Y2VyKFBERml1bTsgbW9kaWZpZWQgdXNpbmcgaVRleHRTaGFycJIgNS41LjEzLjEgqTIwMDAtMjAxOSBpVGV4dCBHcm91cCBOViBcKEFHUEwtdmVyc2lvblwpKS9Nb2REYXRlKEQ6MjAyMTA5MjMwNjI2MTYrMDAnMDAnKT4</Base64Data>
          </Document>
         </InputDocuments>
      </VerifyRequest>
   </soapenv:Body>
</soapenv:Envelope>

```

### Request Parameter

| Name         | Description                                                                        | Required  |
| ------------ | ---------------------------------------------------------------------------------- | --------- |
| Username     | client\_id of the SP. To be shared by the respective onboarding team.              | Mandatory |
| PasswordText | Client\_secret of the SP. To be shared by the respective onboarding team.          | Mandatory |
| RequestID    | SP can pass the unique ID for tracking the request for one particular transaction. | Optional  |
| Base64Data   | Base64 encoded data of the document which is to be verified                        | Mandatory |

### Sample Request

```svg
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
   <soapenv:Header>
      <wsse:Security soapenv:actor="http://schemas.xmlsoap.org/soap/actor/next" soapenv:mustUnderstand="1" xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">
         <wsse:UsernameToken>
            <wsse:Username>{client_id}</wsse:Username>
            <wsse:Password Type="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText">{client_secret}</wsse:Password>
         </wsse:UsernameToken>
      </wsse:Security>
   </soapenv:Header>
   <soapenv:Body>
      <VerifyRequest Profile="urn:safelayer:tws:dss:1.0:profiles:pdf:1.0:verify" RequestID="ba3810598a90af56a7e8" xmlns="http://www.docs.oasis-open.org/dss/2004/06/oasis-dss-1.0-core-schema-wd-27.xsd">
         <OptionalInputs>
            <ns1:AddCertificateValues binary="true" xsi:type="ns1:AddCertificateValuesType" xmlns:ns1="http://www.safelayer.com/TWS"/>
            <ns2:AddSignatureForm/>
            <css:AddRevocationValues binary="true"/>
            <css:AddTimeStampValues binary="true"/>
         </OptionalInputs>
         <InputDocuments>
            <Document>
            <Base64Data MimeType="application/pdf">JVBERi0xLjcKJeLjz9MKMSAwIG9iago8PC9DcmVhdGlvbkRhdGUoRDoyMDIxMDgwNjEwMjcwMSkvQ3JlYXRvcihQREZpdW0pL1Byb2R1Y2VyKFBERml1bTsgbW9kaWZpZWQgdXNpbmcgaVRleHRTaGFycJIgNS41LjEzLjEgqTIwMDAtMjAxOSBpVGV4dCBHcm91cCBOViBcKEFHUEwtdmVyc2lvblwpKS9Nb2REYXRlKEQ6MjAyMTA5MjMwNjI2MTYrMDAnMDAnKT4</Base64Data>
          </Document>
         </InputDocuments>
      </VerifyRequest>
   </soapenv:Body>
</soapenv:Envelope>

```

### Sample Response

```xml
<?xml version="1.0" encoding="UTF-8"?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/">
<SOAP-ENV:Body>
<dss:VerifyResponse xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xm lns:css="http://www.safelayer.com/TWS" xmlns:dss="http://www.docs.oasis-open.o rg/dss/2004/06/oasis-dss-1.0-core-schema-wd-27.xsd" xmlns:xades="http://uri.et si.org/01903/v1.2.2#" Profile="urn:safelayer:tws:dss:1.0:profiles:pdf:1.0:veri fy" RequestID="9f116d3821d805702aaa" >
<dss:Result>
<dss:ResultMajor>urn:oasis:names:tc:dss:1.0:resultmajor:Succes s</dss:ResultMajor>
<dss:ResultMinor>urn:oasis:names:tc:dss:1.0:resultminor:ValidS ignature_OnAllDocuments</dss:ResultMinor>
</dss:Result>
<dss:OptionalOutputs>
<dss:SigningTime ThirdPartyTimestamp="false">2018-11-21T08:39: 45Z</dss:SigningTime>
<dss:SignerIdentity Format="urn:oasis:names:tc:SAML:1.1:nameid
-format:X509SubjectName">CN=Alexandros Monastiriotis + OID.2.5.4.5=#130F37834 313938353430343039313738, OU=UAE PASS, O=UAE Government, L=Dubai, C=AE</dss:Si
gnerIdentity>
<css:TrustInfo TrustLabel="" TrustLevel="0"/>
<css:TrustInfoSummary TrustLevel="0" />
<css:VerifyingPolicy xmlns:css="http://www.safelayer.com/TWS">
<css:Identifier Qualifier="OIDAsURN">urn:uae:tws:verificat ion:policy:digitalid</css:Identifier>
</css:VerifyingPolicy>
<css:ValidationPolicy xmlns:css="http://www.safelayer.com/TWS"
>
<css:Identifier Qualifier="OIDAsURN">urn:uae:tws:validation:policy:digitald</css:Identifier>
</css:ValidationPolicy>
<css:PdfFieldLabel>sign_091f1423</css:PdfFieldLabel>
<css:NumberPdfSignatures>1</css:NumberPdfSignatures>
</dss:OptionalOutputs>
</dss:VerifyResponse>

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uaepass.ae/feature-guides/signature-integration-guide/digital-signature-multiple-document/signing-guide/document-signature-verification-process.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
